<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/stairs/expansionstair.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d00/a00401_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionstair.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d00/a00401.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionStair.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span>ExpansionStairBase <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/da3/a03673.html">ExpansionBaseBuilding</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a269cb70ce0b138a978348cabce04fa70">   15</a></span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d9/da3/a03673.html#a269cb70ce0b138a978348cabce04fa70">m_HasStair</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a5d6235c9ed69e84d5e4391b4380a8bfa">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a5d6235c9ed69e84d5e4391b4380a8bfa">ExpansionStairBase</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        RegisterNetSyncVariableBool( <span class="stringliteral">&quot;m_HasStair&quot;</span> );</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_CurrentBuild = <span class="stringliteral">&quot;wood&quot;</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#ad93a39a8389a4442263b98e1b41ab285">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/da3/a03673.html#ad93a39a8389a4442263b98e1b41ab285">GetConstructionKitType</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;ExpansionStairKit&quot;</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#ab95bcae75cc825197902f10c1ecbf004">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/da3/a03673.html#ab95bcae75cc825197902f10c1ecbf004">NameOverride</a>(out <span class="keywordtype">string</span> output)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d9/da3/a03673.html#a876294d7bd1c5124907f41b4480dc1d5">IsLastStage</a>())</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            output = <span class="stringliteral">&quot;#STR_EXPANSION_BB_&quot;</span> + m_CurrentBuild + <span class="stringliteral">&quot;_STAIR_FINISHED&quot;</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            output = <span class="stringliteral">&quot;#STR_EXPANSION_BB_&quot;</span> + m_CurrentBuild + <span class="stringliteral">&quot;_STAIR_BASE&quot;</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a0a99c5c4c2090febe23af49d29bdfa9c">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a0a99c5c4c2090febe23af49d29bdfa9c">IsLastStage</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/da3/a03673.html#a269cb70ce0b138a978348cabce04fa70">m_HasStair</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a23be5c4723c8db3688177e86d702167a">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a23be5c4723c8db3688177e86d702167a">IsLastStageBuilt</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a9e557a46096456eec375f8c3b3dbc500">IsPartBuilt</a>( m_CurrentBuild + <span class="stringliteral">&quot;_tread&quot;</span> ) );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a3e8661d0dbd55a0c6e83639f3e49ec9c">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a3e8661d0dbd55a0c6e83639f3e49ec9c">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        UpdateVisuals();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a57d1b9d86640be374fa4615dbbbed415">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a57d1b9d86640be374fa4615dbbbed415">AfterStoreLoad</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.CE, <span class="keyword">this</span>, <span class="stringliteral">&quot;AfterStoreLoad&quot;</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        super.AfterStoreLoad();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> ( m_ExpansionSaveVersion &lt; 18 )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            m_HasStair = <a class="code hl_function" href="../../d9/da3/a03673.html#a8ee1b937e28d5fc85a9bbc0e157bfcf1">IsLastStageBuilt</a>();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        UpdateVisuals();    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="preprocessor">    #ifdef EXPANSION_MODSTORAGE</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> CF_OnStoreSave(CF_ModStorageMap storage)</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        super.CF_OnStoreSave(storage);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keyword">auto</span> ctx = storage[DZ_Expansion_BaseBuilding];</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (!ctx) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        ctx.Write(m_HasStair);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> CF_OnStoreLoad(CF_ModStorageMap storage)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">if</span> (!super.CF_OnStoreLoad(storage))</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keyword">auto</span> ctx = storage[DZ_Expansion_BaseBuilding];</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> (!ctx) <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">if</span> (!ctx.Read(m_HasStair))</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a86694800df3cbfdc49d18752ddd53a3b">   95</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a86694800df3cbfdc49d18752ddd53a3b">ExpansionGetCollisionBox</a>( out vector minMax[2] )</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        minMax[0] = <span class="stringliteral">&quot;-0.75 0 -1.5&quot;</span>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        minMax[1] = <span class="stringliteral">&quot;0.75 3.25 1.5&quot;</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#aa70f25021edb3e8f1c3e32f0d993a2bb">  102</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da3/a03673.html#aa70f25021edb3e8f1c3e32f0d993a2bb">OnPartBuiltServer</a>( notnull Man player, <span class="keywordtype">string</span> part_name, <span class="keywordtype">int</span> action_id )</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        m_HasStair = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <a class="code hl_function" href="../../d9/da3/a03673.html#ac4a4f042b13d694ec057435be7a014b5">ExpansionUpdateBaseBuildingStateFromPartBuilt</a>( part_name );</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        super.OnPartBuiltServer(player, part_name, action_id );</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        UpdateVisuals();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#ac4a4f042b13d694ec057435be7a014b5">  112</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da3/a03673.html#ac4a4f042b13d694ec057435be7a014b5">ExpansionUpdateBaseBuildingStateFromPartBuilt</a>( <span class="keywordtype">string</span> part_name )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">if</span> ( part_name == m_CurrentBuild + <span class="stringliteral">&quot;_tread&quot;</span> )</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            m_HasStair = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#af048258605a4fc460e8ba29b0c3aa4f8">  120</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da3/a03673.html#af048258605a4fc460e8ba29b0c3aa4f8">OnPartDismantledServer</a>( notnull Man player, <span class="keywordtype">string</span> part_name, <span class="keywordtype">int</span> action_id )</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        m_HasStair = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        super.OnPartDismantledServer( player, part_name, action_id );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        UpdateVisuals();</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a50afa77b81a9e838a20f7b8d66b31bf8">  128</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a50afa77b81a9e838a20f7b8d66b31bf8">OnPartDestroyedServer</a>( Man player, <span class="keywordtype">string</span> part_name, <span class="keywordtype">int</span> action_id, <span class="keywordtype">bool</span> destroyed_by_connected_part = <span class="keyword">false</span> )</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        m_HasStair = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        super.OnPartDestroyedServer( player, part_name, action_id, destroyed_by_connected_part );</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        UpdateVisuals();</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a4f68f1da0eddb3ab5e17185621d14936">  136</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a4f68f1da0eddb3ab5e17185621d14936">CanPutInCargo</a> (EntityAI parent)</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a669681906d5befb34ae236a4c15ca553">  141</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a669681906d5befb34ae236a4c15ca553">IsFacingPlayer</a>( <a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <span class="keywordtype">string</span> selection )</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d9/da3/a03673.html#a0519920238ead54c2d7f26517f3ee353">  146</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/da3/a03673.html#a0519920238ead54c2d7f26517f3ee353">IsFacingCamera</a>( <span class="keywordtype">string</span> selection )</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>} </div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa03673_html"><div class="ttname"><a href="../../d9/da3/a03673.html">ExpansionBaseBuilding</a></div><div class="ttdoc">This class handle base class of expansion basebuilding</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd8/a08565_source.html#l00016">expansionbasebuilding.c:17</a></div></div>
<div class="ttc" id="aa03673_html_a0519920238ead54c2d7f26517f3ee353"><div class="ttname"><a href="../../d9/da3/a03673.html#a0519920238ead54c2d7f26517f3ee353">ExpansionBaseBuilding::IsFacingCamera</a></div><div class="ttdeci">override bool IsFacingCamera(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00146">expansionstair.c:146</a></div></div>
<div class="ttc" id="aa03673_html_a0a99c5c4c2090febe23af49d29bdfa9c"><div class="ttname"><a href="../../d9/da3/a03673.html#a0a99c5c4c2090febe23af49d29bdfa9c">ExpansionBaseBuilding::IsLastStage</a></div><div class="ttdeci">override bool IsLastStage()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00038">expansionstair.c:38</a></div></div>
<div class="ttc" id="aa03673_html_a23be5c4723c8db3688177e86d702167a"><div class="ttname"><a href="../../d9/da3/a03673.html#a23be5c4723c8db3688177e86d702167a">ExpansionBaseBuilding::IsLastStageBuilt</a></div><div class="ttdeci">override bool IsLastStageBuilt()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00043">expansionstair.c:43</a></div></div>
<div class="ttc" id="aa03673_html_a269cb70ce0b138a978348cabce04fa70"><div class="ttname"><a href="../../d9/da3/a03673.html#a269cb70ce0b138a978348cabce04fa70">ExpansionBaseBuilding::m_HasStair</a></div><div class="ttdeci">private bool m_HasStair</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00015">expansionstair.c:15</a></div></div>
<div class="ttc" id="aa03673_html_a3e8661d0dbd55a0c6e83639f3e49ec9c"><div class="ttname"><a href="../../d9/da3/a03673.html#a3e8661d0dbd55a0c6e83639f3e49ec9c">ExpansionBaseBuilding::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00048">expansionstair.c:48</a></div></div>
<div class="ttc" id="aa03673_html_a4f68f1da0eddb3ab5e17185621d14936"><div class="ttname"><a href="../../d9/da3/a03673.html#a4f68f1da0eddb3ab5e17185621d14936">ExpansionBaseBuilding::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00136">expansionstair.c:136</a></div></div>
<div class="ttc" id="aa03673_html_a50afa77b81a9e838a20f7b8d66b31bf8"><div class="ttname"><a href="../../d9/da3/a03673.html#a50afa77b81a9e838a20f7b8d66b31bf8">ExpansionBaseBuilding::OnPartDestroyedServer</a></div><div class="ttdeci">override void OnPartDestroyedServer(Man player, string part_name, int action_id, bool destroyed_by_connected_part=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00128">expansionstair.c:128</a></div></div>
<div class="ttc" id="aa03673_html_a57d1b9d86640be374fa4615dbbbed415"><div class="ttname"><a href="../../d9/da3/a03673.html#a57d1b9d86640be374fa4615dbbbed415">ExpansionBaseBuilding::AfterStoreLoad</a></div><div class="ttdeci">override void AfterStoreLoad()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00055">expansionstair.c:55</a></div></div>
<div class="ttc" id="aa03673_html_a5d6235c9ed69e84d5e4391b4380a8bfa"><div class="ttname"><a href="../../d9/da3/a03673.html#a5d6235c9ed69e84d5e4391b4380a8bfa">ExpansionBaseBuilding::ExpansionStairBase</a></div><div class="ttdeci">void ExpansionStairBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00017">expansionstair.c:17</a></div></div>
<div class="ttc" id="aa03673_html_a669681906d5befb34ae236a4c15ca553"><div class="ttname"><a href="../../d9/da3/a03673.html#a669681906d5befb34ae236a4c15ca553">ExpansionBaseBuilding::IsFacingPlayer</a></div><div class="ttdeci">override bool IsFacingPlayer(PlayerBase player, string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00141">expansionstair.c:141</a></div></div>
<div class="ttc" id="aa03673_html_a86694800df3cbfdc49d18752ddd53a3b"><div class="ttname"><a href="../../d9/da3/a03673.html#a86694800df3cbfdc49d18752ddd53a3b">ExpansionBaseBuilding::ExpansionGetCollisionBox</a></div><div class="ttdeci">override bool ExpansionGetCollisionBox(out vector minMax[2])</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00095">expansionstair.c:95</a></div></div>
<div class="ttc" id="aa03673_html_a876294d7bd1c5124907f41b4480dc1d5"><div class="ttname"><a href="../../d9/da3/a03673.html#a876294d7bd1c5124907f41b4480dc1d5">ExpansionBaseBuilding::IsLastStage</a></div><div class="ttdeci">bool IsLastStage()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd8/a08565_source.html#l00405">expansionbasebuilding.c:405</a></div></div>
<div class="ttc" id="aa03673_html_a8ee1b937e28d5fc85a9bbc0e157bfcf1"><div class="ttname"><a href="../../d9/da3/a03673.html#a8ee1b937e28d5fc85a9bbc0e157bfcf1">ExpansionBaseBuilding::IsLastStageBuilt</a></div><div class="ttdeci">bool IsLastStageBuilt()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd8/a08565_source.html#l00410">expansionbasebuilding.c:410</a></div></div>
<div class="ttc" id="aa03673_html_a9e557a46096456eec375f8c3b3dbc500"><div class="ttname"><a href="../../d9/da3/a03673.html#a9e557a46096456eec375f8c3b3dbc500">ExpansionBaseBuilding::IsPartBuilt</a></div><div class="ttdeci">bool IsPartBuilt(string part_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd8/a08565_source.html#l00354">expansionbasebuilding.c:354</a></div></div>
<div class="ttc" id="aa03673_html_aa70f25021edb3e8f1c3e32f0d993a2bb"><div class="ttname"><a href="../../d9/da3/a03673.html#aa70f25021edb3e8f1c3e32f0d993a2bb">ExpansionBaseBuilding::OnPartBuiltServer</a></div><div class="ttdeci">override void OnPartBuiltServer(notnull Man player, string part_name, int action_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00102">expansionstair.c:102</a></div></div>
<div class="ttc" id="aa03673_html_ab95bcae75cc825197902f10c1ecbf004"><div class="ttname"><a href="../../d9/da3/a03673.html#ab95bcae75cc825197902f10c1ecbf004">ExpansionBaseBuilding::NameOverride</a></div><div class="ttdeci">override bool NameOverride(out string output)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00029">expansionstair.c:29</a></div></div>
<div class="ttc" id="aa03673_html_ac4a4f042b13d694ec057435be7a014b5"><div class="ttname"><a href="../../d9/da3/a03673.html#ac4a4f042b13d694ec057435be7a014b5">ExpansionBaseBuilding::ExpansionUpdateBaseBuildingStateFromPartBuilt</a></div><div class="ttdeci">override void ExpansionUpdateBaseBuildingStateFromPartBuilt(string part_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d5d/a00311_source.html#l00134">expansionfloor.c:134</a></div></div>
<div class="ttc" id="aa03673_html_ad93a39a8389a4442263b98e1b41ab285"><div class="ttname"><a href="../../d9/da3/a03673.html#ad93a39a8389a4442263b98e1b41ab285">ExpansionBaseBuilding::GetConstructionKitType</a></div><div class="ttdeci">override string GetConstructionKitType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00024">expansionstair.c:24</a></div></div>
<div class="ttc" id="aa03673_html_af048258605a4fc460e8ba29b0c3aa4f8"><div class="ttname"><a href="../../d9/da3/a03673.html#af048258605a4fc460e8ba29b0c3aa4f8">ExpansionBaseBuilding::OnPartDismantledServer</a></div><div class="ttdeci">override void OnPartDismantledServer(notnull Man player, string part_name, int action_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d00/a00401_source.html#l00120">expansionstair.c:120</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_4995a40041868e6722cdb7419e4f96ba.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_d76d15f1a001f28b24d297fe71ced766.html">basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_69765da5009824841dcc9303450bf99c.html">stairs</a></li><li class="navelem"><a class="el" href="../../d7/d00/a00401.html">expansionstair.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
